<?php
/**
 * Klasa Setup
 *
 * @link https://krzysztof-turek.com
 *
 * @package tylkofotografia.pl
 * @version 0.2
 */
    class Setup {

        use Singleton;

        function __construct() {
            $this->setupTheme();
        }

        protected function setupHooks() {
            add_action( 'after_setup_theme', [ $this, 'setupTheme' ] );
        }

        public function setupTheme() {
            add_theme_support( 'title-tag' );
            add_theme_support( 'post-thumbnails' );
            add_theme_support(
                'html5',
                [
                    'search-form',
                    'comment-form',
                    'comment-list',
                    'gallery',
                    'caption',
                    'script',
                    'style',
                ]
            );
            add_theme_support( 'custom-header' );
        }
    }